Fehler im Moderations-Dropdown

  • Affected Version
    WoltLab Suite 5.5
    Affected App
    WoltLab Suite Core

    Beim öffnen des Moderations-Dropdown unter WSC 5.5 RC 3 mit oder ohne Meldung kommt folgender Fehler:

    Im Log folgende Fehlermeldung:

    Fehlermeldung

    <<<<<<<<b823de4632b13daca53fd33ce74cf7030867932e<<<<

    Tue, 05 Jul 2022 08:22:41 +0000

    Message: unknown method 'getIconName'

    PHP version: 7.4.21

    WoltLab Suite version: 5.5.0 RC 3

    Request URI: POST /wbb55/index.php?ajax-proxy/&t=47b2a2708fb9be67737af09fca1938fc1553df439fe2920118854d61b9064c2b-SWREdw7BrIq5a50U+W65WA==

    Referrer: http://localhost/wbb55/

    User Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:102.0) Gecko/20100101 Firefox/102.0

    Peak Memory Usage: 7295336/536870912

    ======

    Error Class: wcf\system\exception\SystemException

    Error Message: unknown method 'getIconName'

    Error Code: 0

    File: F:\xampp\htdocs\wbb55\lib\data\DatabaseObjectDecorator.class.php (93)

    Extra Information: -

    Stack Trace: [{"file":"F:\\xampp\\htdocs\\wbb55\\lib\\data\\moderation\\queue\\ModerationQueueAction.class.php","line":149,"function":"__call","class":"wcf\\data\\DatabaseObjectDecorator","type":"->","args":["getIconName",[]]},{"function":"wcf\\data\\moderation\\queue\\{closure}","class":"wcf\\data\\moderation\\queue\\ModerationQueueAction","type":"::","args":["[error_during_sanitization]"],"file":"[internal function]","line":"?"},{"file":"F:\\xampp\\htdocs\\wbb55\\lib\\data\\moderation\\queue\\ModerationQueueAction.class.php","line":156,"function":"array_map","args":["Closure",["[redacted]","[redacted]"]],"class":"","type":""},{"file":"F:\\xampp\\htdocs\\wbb55\\lib\\data\\AbstractDatabaseObjectAction.class.php","line":216,"function":"getModerationQueueData","class":"wcf\\data\\moderation\\queue\\ModerationQueueAction","type":"->","args":[]},{"file":"F:\\xampp\\htdocs\\wbb55\\lib\\action\\AJAXProxyAction.class.php","line":92,"function":"executeAction","class":"wcf\\data\\AbstractDatabaseObjectAction","type":"->","args":[]},{"file":"F:\\xampp\\htdocs\\wbb55\\lib\\action\\AJAXInvokeAction.class.php","line":111,"function":"invoke","class":"wcf\\action\\AJAXProxyAction","type":"->","args":[]},{"file":"F:\\xampp\\htdocs\\wbb55\\lib\\action\\AbstractAction.class.php","line":57,"function":"execute","class":"wcf\\action\\AJAXInvokeAction","type":"->","args":[]},{"file":"F:\\xampp\\htdocs\\wbb55\\lib\\action\\AJAXInvokeAction.class.php","line":65,"function":"__run","class":"wcf\\action\\AbstractAction","type":"->","args":[]},{"file":"F:\\xampp\\htdocs\\wbb55\\lib\\system\\request\\Request.class.php","line":90,"function":"__run","class":"wcf\\action\\AJAXInvokeAction","type":"->","args":[]},{"file":"F:\\xampp\\htdocs\\wbb55\\lib\\system\\request\\RequestHandler.class.php","line":107,"function":"execute","class":"wcf\\system\\request\\Request","type":"->","args":[]},{"file":"F:\\xampp\\htdocs\\wbb55\\index.php","line":11,"function":"handle","class":"wcf\\system\\request\\RequestHandler","type":"->","args":["wcf"]}]

    <<<<

    - Wenn bei Dummheit & Arroganz Federn wachsen sollten, so würden hier einige wie Vögel durch die Luft fliegen -

    - Powerstylez.de -

  • Ich habe wohl die Bleeding Edge-Version vom Core 5.5 installiert (da man ohne laufend gültige Lizenz ja keinen Zugriff mehr auf Beta & Co bekommt...) und dann diese immer über Paketserver aktualisiert. allerdings ging es ja in der RC 2-Version noch.

    - Wenn bei Dummheit & Arroganz Federn wachsen sollten, so würden hier einige wie Vögel durch die Luft fliegen -

    - Powerstylez.de -

  • Eine „Bleeding Edge-Version“ bieten wir nicht an, vermutlich hast du dir über unsichere Drittquellen einen instabilen Zwischenstand besorgt, der sich nicht an den tatsächlichen Versionen orientiert. Das ist problematisch, weil du so einen undefinierten Zustand „mitten drin“ hast, der keinem offiziellen Zustand entspricht. Dies hat zur Folge, dass die Update-Anweisungen unpassend sind, weil diese immer von einem bestimmte Ursprungszustand ausgehen.

    Sobald die Version 5.5 final veröffentlicht wurde, stellen wir den Core wie üblich als separaten Download auf Basis der offiziellen Versionen zur Verfügung.

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!